# $Revision: 1.3 $, $Date: 2005/04/04 18:42:39 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Text
%define		pnam	Header
Summary:	Text::Header - RFC 822/2068 `header' and `unheader' functions
Summary(pl):	Text::Header - funkcje header i unheader dla RFC 822/2068
Name:		perl-Text-Header
Version:	1.03
Release:	1
# licenses given explicitly, not "same as perl"
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2dce923006b849ae20a54a8afd31f8af
URL:		http://search.cpan.org/dist/Text-Header/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides two new functions, `header' and `unheader', which
provide general-purpose RFC 822 header construction and parsing. They
do not provide any intelligent defaults of HTTP-specific methods. They
are simply aimed at providing an easy means to address the mechanics
of header parsing.

%description -l pl
Ten modu dostarcza dwie nowe funkcje: header i unheader,
udostpniajce konstruowanie i przetwarzanie nagwkw zgodnych z RFC
822 do zastosowa oglnych. Nie dostarczaj adnych inteligentnych
wartoci domylnych dla metod specyficznych dla HTTP. Maj na celu po
prostu dostarczenie atwego mechanizmu do przetwarzania nagwkw.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Text/Header.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Text-Header.spec,v $
Revision 1.3  2005/04/04 18:42:39  qboosh
- release 1

Revision 1.2  2005/04/04 18:32:30  qboosh
- pl, some cleanups

Revision 1.1  2005/04/04 11:59:55  agaran
- initial, not finished, will take moment or two
